Export scanl' from Data.OldList and Data.List
ClosedPublic

Authored by dfeuer on Nov 18 2014, 8:18 PM.

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
dfeuer updated this revision to Diff 1528.Nov 18 2014, 8:18 PM
dfeuer retitled this revision from to Export scanl' from Data.OldList and Data.List.
dfeuer updated this object.
dfeuer edited the test plan for this revision. (Show Details)
dfeuer added reviewers: ekmett, nomeata, hvr, austin.
dfeuer updated the Trac tickets for this revision.

The proposal was met by deafening silence on the libraries list and a side-channel +1 from @nomeata.

austin requested changes to this revision.Nov 19 2014, 3:18 PM
austin edited edge metadata.

This looks fine to me, but we should add documentation to the release notes. Given no votes beyond the one from @nomeata, I'm OK with this going in.

Add notes to changelog.md in base.cabal.

This revision now requires changes to proceed.Nov 19 2014, 3:18 PM
ekmett accepted this revision.Nov 20 2014, 3:57 PM
ekmett edited edge metadata.

LGTM

dfeuer updated this revision to Diff 1613.Nov 20 2014, 9:54 PM
dfeuer edited edge metadata.

Add changelog entry.

austin accepted this revision.Nov 20 2014, 10:27 PM
austin edited edge metadata.

LGTM.

This revision is now accepted and ready to land.Nov 20 2014, 10:27 PM
This revision was automatically updated to reflect the committed changes.